> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile Visitors (/api-reference/statistics/get-profile-visitors)

Get the number of profile visitors for a given period.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/statistics/reach/profile-visitors
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/statistics/reach/profile-visitors:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: Get Profile Visitors
      operationId: getProfileVisitors
      description: Get the number of profile visitors for a given period.
      parameters:
        - in: query
          name: start_date
          description: The start date for the period
          example: 2025-01-01 00:00:00
          required: true
          schema:
            type: string
            description: The start date for the period
            example: 2025-01-01 00:00:00
        - in: query
          name: end_date
          description: The end date for the period.
          example: 2025-03-31 23:59:59
          required: true
          schema:
            type: string
            description: The end date for the period.
            example: 2025-03-31 23:59:59
        - in: query
          name: type
          description: Filter all / users / guests
          example: total
          required: false
          schema:
            type: string
            description: Filter all / users / guests
            example: total
            enum:
              - total
              - users
              - guests
            nullable: true
        - in: query
          name: filter
          description: Optionally, filter the results by `chart` or `topCountries`. See
            example responses.
          example: chart
          required: false
          schema:
            type: string
            description: Optionally, filter the results by `chart` or `topCountries`. See
              example responses.
            example: chart
            enum:
              - chart
              - topCountries
            nullable: true
        - in: query
          name: limit
          description: Number of results to return
          example: 10
          required: false
          schema:
            type: integer
            description: Number of results to return
            example: 10
            nullable: true
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                oneOf:
                  - description: No filter
                    type: object
                    example:
                      data:
                        isAvailable: true
                        topCountries:
                          hasMore: true
                          totals:
                            total: 123
                            guests: "123"
                            users: "123"
                            subscribers: 123
                          rows:
                            - rank: 1
                              countryName: Australia
                              countryCode: AU
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 2
                              countryName: United States
                              countryCode: US
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 3
                              countryName: Spain
                              countryCode: ES
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 4
                              countryName: United Kingdom
                              countryCode: GB
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 5
                              countryName: Austria
                              countryCode: AT
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 6
                              countryName: Norway
                              countryCode: NO
                              viewsCount:
                                total: 21
                                guests: 21
                                users: 0
                                subscribers: 0
                            - rank: 7
                              countryName: Singapore
                              countryCode: SG
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 8
                              countryName: Germany
                              countryCode: DE
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 9
                              countryName: Mexico
                              countryCode: MX
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 10
                              countryName: Israel
                              countryCode: IL
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 11
                              countryName: Others
                              countryCode: ""
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                        topDurationUsers:
                          totals:
                            total: 123
                            guests: "123"
                            users: "123"
                            subscribers: 123
                        chart:
                          visitors:
                            - date: 2025-01-01T00:00:00+00:00
                              count: 123
                          duration:
                            - date: 2025-01-01T00:00:00+00:00
                              count: 123
                        total:
                          current: "123"
                          delta: 12.3
                        hasStats: true
                      _meta:
                        _credits:
                          used: 1
                          balance: 999999818
                          note: Always
                        _cache:
                          is_cached: false
                          note: Cache disabled for this endpoint
                        _rate_limits:
                          limit_minute: 1000
                          limit_day: 50000
                          remaining_minute: 999
                          remaining_day: 49963
                    properties:
                      data:
                        type: object
                        properties:
                          isAvailable:
                            type: boolean
                            example: true
                          topCountries:
                            type: object
                            properties:
                              hasMore:
                                type: boolean
                                example: true
                              totals:
                                type: object
                                properties:
                                  total:
                                    type: integer
                                    example: 123
                                  guests:
                                    type: string
                                    example: "123"
                                  users:
                                    type: string
                                    example: "123"
                                  subscribers:
                                    type: integer
                                    example: 123
                              rows:
                                type: array
                                example:
                                  - rank: 1
                                    countryName: Australia
                                    countryCode: AU
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 2
                                    countryName: United States
                                    countryCode: US
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 3
                                    countryName: Spain
                                    countryCode: ES
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 4
                                    countryName: United Kingdom
                                    countryCode: GB
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 5
                                    countryName: Austria
                                    countryCode: AT
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 6
                                    countryName: Norway
                                    countryCode: NO
                                    viewsCount:
                                      total: 21
                                      guests: 21
                                      users: 0
                                      subscribers: 0
                                  - rank: 7
                                    countryName: Singapore
                                    countryCode: SG
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 8
                                    countryName: Germany
                                    countryCode: DE
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 9
                                    countryName: Mexico
                                    countryCode: MX
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 10
                                    countryName: Israel
                                    countryCode: IL
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 11
                                    countryName: Others
                                    countryCode: ""
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                items:
                                  type: object
                                  properties:
                                    rank:
                                      type: integer
                                      example: 1
                                    countryName:
                                      type: string
                                      example: Australia
                                    countryCode:
                                      type: string
                                      example: AU
                                    viewsCount:
                                      type: object
                                      properties:
                                        total:
                                          type: integer
                                          example: 123
                                        guests:
                                          type: integer
                                          example: 123
                                        users:
                                          type: integer
                                          example: 123
                                        subscribers:
                                          type: integer
                                          example: 123
                          topDurationUsers:
                            type: object
                            properties:
                              totals:
                                type: object
                                properties:
                                  total:
                                    type: integer
                                    example: 123
                                  guests:
                                    type: string
                                    example: "123"
                                  users:
                                    type: string
                                    example: "123"
                                  subscribers:
                                    type: integer
                                    example: 123
                          chart:
                            type: object
                            properties:
                              visitors:
                                type: array
                                example:
                                  - date: 2025-01-01T00:00:00+00:00
                                    count: 123
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      example: 2025-01-01T00:00:00+00:00
                                    count:
                                      type: integer
                                      example: 123
                              duration:
                                type: array
                                example:
                                  - date: 2025-01-01T00:00:00+00:00
                                    count: 123
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      example: 2025-01-01T00:00:00+00:00
                                    count:
                                      type: integer
                                      example: 123
                          total:
                            type: object
                            properties:
                              current:
                                type: string
                                example: "123"
                              delta:
                                type: number
                                example: 12.3
                          hasStats:
                            type: boolean
                            example: true
                      _meta:
                        type: object
                        properties:
                          _credits:
                            type: object
                            properties:
                              used:
                                type: integer
                                example: 1
                              balance:
                                type: integer
                                example: 999999818
                              note:
                                type: string
                                example: Always
                          _cache:
                            type: object
                            properties:
                              is_cached:
                                type: boolean
                                example: false
                              note:
                                type: string
                                example: Cache disabled for this endpoint
                          _rate_limits:
                            type: object
                            properties:
                              limit_minute:
                                type: integer
                                example: 1000
                              limit_day:
                                type: integer
                                example: 50000
                              remaining_minute:
                                type: integer
                                example: 999
                              remaining_day:
                                type: integer
                                example: 49963
                  - description: Chart filter
                    type: object
                    example:
                      data:
                        isAvailable: true
                        chart:
                          visitors:
                            - date: 2025-01-01T00:00:00+00:00
                              count: 123
                          duration:
                            - date: 2025-01-01T00:00:00+00:00
                              count: 123
                        total:
                          current: "123"
                          delta: 12.3
                        hasStats: false
                      _meta:
                        _credits:
                          used: 1
                          balance: 999999815
                          note: Always
                        _cache:
                          is_cached: false
                          note: Cache disabled for this endpoint
                        _rate_limits:
                          limit_minute: 1000
                          limit_day: 50000
                          remaining_minute: 999
                          remaining_day: 49960
                    properties:
                      data:
                        type: object
                        properties:
                          isAvailable:
                            type: boolean
                            example: true
                          chart:
                            type: object
                            properties:
                              visitors:
                                type: array
                                example:
                                  - date: 2025-01-01T00:00:00+00:00
                                    count: 123
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      example: 2025-01-01T00:00:00+00:00
                                    count:
                                      type: integer
                                      example: 123
                              duration:
                                type: array
                                example:
                                  - date: 2025-01-01T00:00:00+00:00
                                    count: 123
                                items:
                                  type: object
                                  properties:
                                    date:
                                      type: string
                                      example: 2025-01-01T00:00:00+00:00
                                    count:
                                      type: integer
                                      example: 123
                          total:
                            type: object
                            properties:
                              current:
                                type: string
                                example: "123"
                              delta:
                                type: number
                                example: 12.3
                          hasStats:
                            type: boolean
                            example: false
                      _meta:
                        type: object
                        properties:
                          _credits:
                            type: object
                            properties:
                              used:
                                type: integer
                                example: 1
                              balance:
                                type: integer
                                example: 999999815
                              note:
                                type: string
                                example: Always
                          _cache:
                            type: object
                            properties:
                              is_cached:
                                type: boolean
                                example: false
                              note:
                                type: string
                                example: Cache disabled for this endpoint
                          _rate_limits:
                            type: object
                            properties:
                              limit_minute:
                                type: integer
                                example: 1000
                              limit_day:
                                type: integer
                                example: 50000
                              remaining_minute:
                                type: integer
                                example: 999
                              remaining_day:
                                type: integer
                                example: 49960
                  - description: Top countries filter
                    type: object
                    example:
                      data:
                        isAvailable: true
                        topCountries:
                          hasMore: true
                          totals:
                            total: 123
                            guests: "123"
                            users: "123"
                            subscribers: 123
                          rows:
                            - rank: 1
                              countryName: United States
                              countryCode: US
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 2
                              countryName: Australia
                              countryCode: AU
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 3
                              countryName: Canada
                              countryCode: CA
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 4
                              countryName: United Kingdom
                              countryCode: GB
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 5
                              countryName: Germany
                              countryCode: DE
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 6
                              countryName: Mexico
                              countryCode: MX
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 7
                              countryName: Dominican Republic
                              countryCode: DO
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 8
                              countryName: Brazil
                              countryCode: BR
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 9
                              countryName: Italy
                              countryCode: IT
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 10
                              countryName: Denmark
                              countryCode: DK
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                            - rank: 11
                              countryName: Others
                              countryCode: ""
                              viewsCount:
                                total: 123
                                guests: 123
                                users: 123
                                subscribers: 123
                        hasStats: true
                      _meta:
                        _credits:
                          used: 1
                          balance: 999999814
                          note: Always
                        _cache:
                          is_cached: false
                          note: Cache disabled for this endpoint
                        _rate_limits:
                          limit_minute: 1000
                          limit_day: 50000
                          remaining_minute: 998
                          remaining_day: 49959
                    properties:
                      data:
                        type: object
                        properties:
                          isAvailable:
                            type: boolean
                            example: true
                          topCountries:
                            type: object
                            properties:
                              hasMore:
                                type: boolean
                                example: true
                              totals:
                                type: object
                                properties:
                                  total:
                                    type: integer
                                    example: 123
                                  guests:
                                    type: string
                                    example: "123"
                                  users:
                                    type: string
                                    example: "123"
                                  subscribers:
                                    type: integer
                                    example: 123
                              rows:
                                type: array
                                example:
                                  - rank: 1
                                    countryName: United States
                                    countryCode: US
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 2
                                    countryName: Australia
                                    countryCode: AU
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 3
                                    countryName: Canada
                                    countryCode: CA
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 4
                                    countryName: United Kingdom
                                    countryCode: GB
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 5
                                    countryName: Germany
                                    countryCode: DE
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 6
                                    countryName: Mexico
                                    countryCode: MX
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 7
                                    countryName: Dominican Republic
                                    countryCode: DO
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 8
                                    countryName: Brazil
                                    countryCode: BR
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 9
                                    countryName: Italy
                                    countryCode: IT
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 10
                                    countryName: Denmark
                                    countryCode: DK
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                  - rank: 11
                                    countryName: Others
                                    countryCode: ""
                                    viewsCount:
                                      total: 123
                                      guests: 123
                                      users: 123
                                      subscribers: 123
                                items:
                                  type: object
                                  properties:
                                    rank:
                                      type: integer
                                      example: 1
                                    countryName:
                                      type: string
                                      example: United States
                                    countryCode:
                                      type: string
                                      example: US
                                    viewsCount:
                                      type: object
                                      properties:
                                        total:
                                          type: integer
                                          example: 123
                                        guests:
                                          type: integer
                                          example: 123
                                        users:
                                          type: integer
                                          example: 123
                                        subscribers:
                                          type: integer
                                          example: 123
                          hasStats:
                            type: boolean
                            example: true
                      _meta:
                        type: object
                        properties:
                          _credits:
                            type: object
                            properties:
                              used:
                                type: integer
                                example: 1
                              balance:
                                type: integer
                                example: 999999814
                              note:
                                type: string
                                example: Always
                          _cache:
                            type: object
                            properties:
                              is_cached:
                                type: boolean
                                example: false
                              note:
                                type: string
                                example: Cache disabled for this endpoint
                          _rate_limits:
                            type: object
                            properties:
                              limit_minute:
                                type: integer
                                example: 1000
                              limit_day:
                                type: integer
                                example: 50000
                              remaining_minute:
                                type: integer
                                example: 998
                              remaining_day:
                                type: integer
                                example: 49959
      tags:
        - Statistics
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````